> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://nemo-platform.docs.buildwithfern.com/nemo/platform/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://nemo-platform.docs.buildwithfern.com/nemo/platform/_mcp/server.

# Update Adapter

PATCH https://host.com/apis/models/v2/workspaces/{workspace}/models/{model_name}/adapters/{adapter}
Content-Type: application/json

Update Adapter deployment or description.

Reference: https://nemo-platform.docs.buildwithfern.com/nemo/platform/nemo/platform/documentation/reference/api-reference/models/update-model-adapter-apis-models-v-2-workspaces-workspace-models-model-name-adapters-adapter-patch

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Nemo Platform API
  version: 1.0.0
paths:
  /apis/models/v2/workspaces/{workspace}/models/{model_name}/adapters/{adapter}:
    patch:
      operationId: >-
        update-model-adapter-apis-models-v-2-workspaces-workspace-models-model-name-adapters-adapter-patch
      summary: Update Adapter
      description: Update Adapter deployment or description.
      tags:
        - subpackage_models
      parameters:
        - name: workspace
          in: path
          required: true
          schema:
            type: string
        - name: model_name
          in: path
          required: true
          schema:
            type: string
        - name: adapter
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Update adapter metadata
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Adapter'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAdapterRequest'
servers:
  - url: https://host.com
    description: Default
components:
  schemas:
    UpdateAdapterRequest:
      type: object
      properties:
        description:
          type: string
          description: Optional description of the adapter
        enabled:
          type: boolean
          description: Whether to make this adapter available for inference post training
        fileset:
          type: string
          description: Updated fileset for the adapter
      description: Request model for updating Adapter Sub Entity metadata.
      title: UpdateAdapterRequest
    FinetuningType:
      type: string
      enum:
        - lora_merged
        - all_weights
        - last_layer
        - top_layers
        - gradual_unfreezing
        - bias_only
        - attention_only
        - lora
        - qlora
        - adalora
        - dora
        - lora_plus
        - prompt_tuning
        - prefix_tuning
        - p_tuning
        - p_tuning_v2
        - soft_prompt
        - ppo
        - dpo
        - cdpo
        - ipo
        - orpo
        - kto
        - rrhf
        - grpo
      description: Finetuning types.
      title: FinetuningType
    Lora:
      type: object
      properties:
        alpha:
          type: integer
          description: Alpha scaling used for this adapter
        rank:
          type: integer
          description: LoRA Rank
      required:
        - rank
      title: Lora
    Adapter:
      type: object
      properties:
        name:
          type: string
          description: >-
            Name of the adapter. Name must be unique in the workspace for all
            Adapters and match the following regex: Allowed characters: letters
            (a-z, A-Z), digits (0-9), underscores, hyphens, and dots.
        workspace:
          type: string
          description: >-
            Workspace of the adapter. Allowed characters: letters (a-z, A-Z),
            digits (0-9), underscores, hyphens, and dots.
        description:
          type: string
          description: Optional description of the adapter
        fileset:
          type: string
          description: >-
            Fileset where the adapter files are stored expected format
            {workspace}/{fileset_name}
        finetuning_type:
          $ref: '#/components/schemas/FinetuningType'
          description: Type of finetuning (LORA, P_TUNING, etc.)
        enabled:
          type: boolean
          default: true
          description: Whether to make this adapter available for inference post training
        lora_config:
          $ref: '#/components/schemas/Lora'
          description: Lora configuration specifics
        model:
          type: string
          description: >-
            Parent model entity reference. A single name (2-63 characters) or
            'workspace/model_name' where each segment is a valid name
            (lowercase, digits, hyphens, and temporarily @ . + _; no
            leading/trailing or consecutive hyphens). If one slash, both sides
            must be non-empty.
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - name
        - workspace
        - fileset
        - finetuning_type
      title: Adapter
    ValidationErrorLocItems:
      oneOf:
        - type: string
        - type: integer
      title: ValidationErrorLocItems
    ValidationError:
      type: object
      properties:
        loc:
          type: array
          items:
            $ref: '#/components/schemas/ValidationErrorLocItems'
        msg:
          type: string
        type:
          type: string
        input:
          description: Any type
        ctx:
          type: object
          additionalProperties:
            description: Any type
      required:
        - loc
        - msg
        - type
      title: ValidationError
    HTTPValidationError:
      type: object
      properties:
        detail:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
      title: HTTPValidationError

```

## Examples



**Request**

```json
{}
```

**Response**

```json
{
  "name": "lora-adapter-v1",
  "workspace": "research_team_alpha",
  "fileset": "research_team_alpha/lora_adapter_v1_fileset",
  "finetuning_type": "lora_merged",
  "description": "Adapter fine-tuned for domain-specific language understanding.",
  "enabled": true,
  "lora_config": {
    "rank": 8,
    "alpha": 16
  },
  "model": "research_team_alpha/bert-base-uncased",
  "created_at": "2024-01-15T09:30:00Z",
  "updated_at": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```python
import requests

url = "https://host.com/apis/models/v2/workspaces/workspace/models/model_name/adapters/adapter"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://host.com/apis/models/v2/workspaces/workspace/models/model_name/adapters/adapter';
const options = {method: 'PATCH', headers: {'Content-Type': 'application/json'}, body: '{}'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://host.com/apis/models/v2/workspaces/workspace/models/model_name/adapters/adapter"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://host.com/apis/models/v2/workspaces/workspace/models/model_name/adapters/adapter")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://host.com/apis/models/v2/workspaces/workspace/models/model_name/adapters/adapter")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://host.com/apis/models/v2/workspaces/workspace/models/model_name/adapters/adapter', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://host.com/apis/models/v2/workspaces/workspace/models/model_name/adapters/adapter");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://host.com/apis/models/v2/workspaces/workspace/models/model_name/adapters/adapter")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```